package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "PapMasukanDiagnosis_T")
public class PapMasukanDiagnosis extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectPapRencanaTindakanFk")
	@NotNull(message = "PapRencanaTindakan tidak boleh kosong")
	private PapRencanaTindakan papRencanaTindakan;
	
	@NotNull(message="namaIcd tidak boleh kosong")
	@Column(name = "namaIcd", nullable = false )
	@Caption(value="Kode Agama")
	private String namaIcd;
	
	@NotNull(message="kodeIcd tidak boleh kosong")
	@Column(name = "kodeIcd", nullable = false )
	@Caption(value="kodeIcd")
	private String kodeIcd;

	public PapRencanaTindakan getPapRencanaTindakan() {
		return papRencanaTindakan;
	}

	public void setPapRencanaTindakan(PapRencanaTindakan papRencanaTindakan) {
		this.papRencanaTindakan = papRencanaTindakan;
	}

	public String getNamaIcd() {
		return namaIcd;
	}

	public void setNamaIcd(String namaIcd) {
		this.namaIcd = namaIcd;
	}

	public String getKodeIcd() {
		return kodeIcd;
	}

	public void setKodeIcd(String kodeIcd) {
		this.kodeIcd = kodeIcd;
	}

}
